import { ButtonProps } from './interface';
import './style/index.css';
export declare const Button: import("solid-js").Component<Omit<ButtonProps, "style" | "class"> & {
    ref?: HTMLButtonElement | ((el: HTMLButtonElement) => void);
    style?: string | import("solid-js").JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
